<?php

namespace App\Entity;

use App\Repository\PageRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\AdminBundle\IModel\Cms\ImageInterface;
use Lc\AdminBundle\Model\Cms\AbstractDocument;
use Lc\AdminBundle\Model\Cms\ImageTrait;

/**
 * @ORM\Entity(repositoryClass=PageRepository::class)
 */
class Page extends AbstractDocument implements ImageInterface
{
        use ImageTrait;

        /**
         * @ORM\Id
         * @ORM\GeneratedValue
         * @ORM\Column(type="integer")
         */
        private $id;

        public function getId(): ?int
        {
                return $this->id;
        }
}
